These docs are for v2.3. Click to read the latest docs for v3.0.

Gets Scheme engagements via pagination

Sample Request:

GET /api/v2.0/supportschemes/SP1000000004/engagements?page=1&limit=25&filter=Ended

Sample Response:
{
"data": [
{
"engagementId": "34917041-309f-4dc6-51be-08dc3ac7cd66",
"schemeName": "St Paul's",
"schemereference": "SP0000000004",
"engagementReference": "SE1000000000",
"engagementOwner": null,
"personName": "Joseph Smith",
"status": "Ended",
"occupancyReference": null,
"address": "The Old Queen's Head, 4 Main St, Witton Park, DL14 0DY",
"startDate": "02/03/2024",
"endDate": null,
"safeToTalkWord": null,
"notSafeToTalkWord": null
},
...
...
],
"page": 1,
"total": 1,
"limitPerPage": 25,
"totalFilteredEntries": 0,
"totalEntries": 1
}

Filters are "Active" - "Ended" - "Suspended" and they are case sensitive
Null filter parameter returns all data

MAX PER PAGE LIMIT: 500

Required Permission(s): SupportPlans.View

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Support Scheme reference

Query Params
int32
Defaults to 1

The current page number requested. Defaults to 1.

int32
Defaults to 25

The max number of items to return. Defaults to 25

string

Gets the data using by filter keywords. Defaults to all

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json